import { animate, stagger } from "motion";

const links = document.querySelectorAll(".motion-links");
const logo = document.querySelectorAll(".motion-logo");
const text = document.querySelectorAll(".motion-text");
const footer = document.querySelectorAll(".motion-footer");

const elements = [...text, ...logo, ...links, ...footer];

animate(
  elements,
  { opacity: [0, 1] },
  {
    delay: stagger(0.2, { startDelay: 0.1 }),
    ease: "easeIn",
  },
);
